Skip to main content

Lists all tenants

GET 

https://apis.<domain>/iam/tenants

Lists all tenants.

Authorization Action:

iam:tenants:list

Responses

A successful response.

Schema
    tenants object[]
  • Array [
  • namestring

    Name for the tenant.

    idstring

    Unique ID. Cannot be changed.

    typecompiuta.api.iam.v2.Type (string)

    Possible values: [COMPIUTA_MANAGED, CUSTOM]

    Default value: COMPIUTA_MANAGED
  • ]
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iam/tenants");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request Collapse all
Base URL
https://apis.<domain>